Bug 1191067

Summary: Plasma 5
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: Changes TrackingAssignee: Jaroslav Reznik <jreznik>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact: Robert Krátký <rkratky>
Priority: unspecified    
Version: 22CC: dvratil, jgrulich, kevin, rdieter, rkratky, than
Target Milestone: ---Flags: rkratky: fedora_requires_release_note+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF22 SystemWideChange
Fixed In Version: Doc Type: Release Note
Doc Text:
== KDE == The Plasma desktop in Fedora 22 is upgraded to version 5, which is based on Qt 5 and KDE Frameworks 5. Plasma 5 has a new theme called Breeze, which offers cleaner visuals and better readability, improves certain workflows and provides a more consistent and polished interface overall. Users familiar with KDE Workspace 4 should have no problem adapting to the new environment. The environment has been migrated to a fully hardware-accelerated graphics stack based on OpenGL(ES).
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-21 10:28:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1135103    
Bug Blocks:    

Description Jaroslav Reznik 2015-02-10 12:18:15 UTC
This is a tracking bug for Change: Plasma 5
For more details, see: https://fedoraproject.org//wiki/Changes/Plasma_5

Plasma 5 is successor to KDE Plasma 4 created by the KDE Community. It is based on Qt 5 and  KDE Frameworks 5 and brings many changes and improvements over previous versions, including new look & feel as well as important changes under the hood.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:48 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Rex Dieter 2015-02-20 14:46:53 UTC
FYI,
Sorry if it may be confusing, but kde-sig is also tracking implementation of this feature @
https://bugzilla.redhat.com/show_bug.cgi?id=plasma5
aka bug #1135103

Look there if you want to see more details.

Comment 3 Jaroslav Reznik 2015-02-23 11:48:51 UTC
Rex, adding dependency.

Comment 4 Jaroslav Reznik 2015-03-24 11:41:48 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 5 Robert Krátký 2015-04-15 10:07:20 UTC
Hi Dan, we'd like to include this change in the Fedora 22 Beta Release Notes.

I put together a draft of the release note in the Doc Text field; please review the text and let me know if you'd like to add or change anything.

Thanks!

Comment 6 Daniel Vrátil 2015-04-15 12:22:47 UTC
Hi Robert,

thanks for writing the doc text. I think the last 3 paragraphs could be squashed into one much shorter one with less technical stuff (or even omitted completely). I mentioned all this things in the Feature proposal just to make it clear for FESCO, but I don't think we need to go into so much detail for release notes.

What do you think?

Comment 7 Robert Krátký 2015-04-15 12:31:59 UTC
Thanks Dan. In that case, I would agree to removing the last three paragraphs altogether rather than trying to squeeze too much stuff in too little a space.

Comment 8 Daniel Vrátil 2015-04-15 17:14:52 UTC
Makes sense. Thanks